Bug 291850 - Backup locks up and does not complete
Summary: Backup locks up and does not complete
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 4.6.1
Platform: Microsoft Windows Microsoft Windows
: NOR crash (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-18 11:17 UTC by Richard J Hanson
Modified: 2012-01-20 20:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard J Hanson 2012-01-18 11:17:52 UTC
Version:           4.6.1 (using KDE 4.7.4) 
OS:                MS Windows

If I try to select a drive from the browse button it locks up and then if I try to close it, it crashes

Reproducible: Always

Steps to Reproduce:
Just browse and it locks up

Actual Results:  
crashes and I have to restart KMyMoney

Expected Results:  
Open browser, select drive, create folder, click OK, data backed up
Comment 1 Cristian Oneț 2012-01-20 20:08:38 UTC
Git commit c67cd7ac12c8f6ddc068c168c9c06ff31b02071c by Cristian Oneț.
Committed on 20/01/2012 at 20:59.
Pushed by conet into branch 'master'.
Windows.

This results in the same behaviour on Linux but on Windows it means that the native directory selection dialog will be opened.
I think this solution is better then waiting for a fix in kdelibs on Windows for the following reasons:
1. In the docs of KDirSelectDialog::selectDirectory()  it is stated that it's equivalent with KFileDialog::getExistingDirectoryUrl()
2. The native directory selection dialog works on Windows while the KDE dialog needs a patch to avoid an infinite loop (will contact the KDE on
Windows team regarding this)

M  +2    -2    kmymoney/dialogs/kbackupdlg.cpp

http://commits.kde.org/kmymoney/c67cd7ac12c8f6ddc068c168c9c06ff31b02071c
Comment 2 Cristian Oneț 2012-01-20 20:09:37 UTC
Git commit e0927171271f623e2c7e91c3f0fe5a98b0280d58 by Cristian Oneț.
Committed on 20/01/2012 at 20:59.
Pushed by conet into branch '4.6'.
Windows.

This results in the same behaviour on Linux but on Windows it means that the native directory selection dialog will be opened.
I think this solution is better then waiting for a fix in kdelibs on Windows for the following reasons:
1. In the docs of KDirSelectDialog::selectDirectory()  it is stated that it's equivalent with KFileDialog::getExistingDirectoryUrl()
2. The native directory selection dialog works on Windows while the KDE dialog needs a patch to avoid an infinite loop (will contact the KDE on
Windows team regarding this)
(cherry picked from commit c67cd7ac12c8f6ddc068c168c9c06ff31b02071c)

M  +2    -2    kmymoney/dialogs/kbackupdlg.cpp

http://commits.kde.org/kmymoney/e0927171271f623e2c7e91c3f0fe5a98b0280d58